--
-- Patch DML de GRH_PECHE du xx/07/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1/3
-- Type : DDL
-- Schema : GRH_PECHE
-- Numero de version : 0.6.0.0
-- Date de publication : xx/07/2013 
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--



--Table MAIL_MODEL
CREATE TABLE GRH_PECHE.MAIL_MODEL
(
	ID_MODEL NUMBER NOT NULL,
	NB_PARAMETRES NUMBER NOT NULL,
	MESSAGE VARCHAR(2000) NOT NULL
);

ALTER TABLE GRH_PECHE.MAIL_MODEL ADD CONSTRAINT PK_MAIL_MODEL PRIMARY KEY(ID_MODEL);

COMMENT ON TABLE GRH_PECHE.MAIL_MODEL IS 'Table contenant des models de mails avec des champs remplacable'; 
COMMENT ON COLUMN GRH_PECHE.MAIL_MODEL.ID_MODEL IS 'Clé primaire de la table';  
COMMENT ON COLUMN GRH_PECHE.MAIL_MODEL.NB_PARAMETRES IS 'Nombre de champs remplacable';  
COMMENT ON COLUMN GRH_PECHE.MAIL_MODEL.MESSAGE IS 'Message du mail';  




--Table EXPEDITEURS    !!!Metre une clé primaire unique et non composée ? !!!!
CREATE TABLE GRH_PECHE.MAIL_DESTINATAIRES
(
	ID_MAIL NUMBER NOT NULL,
	ID_DESTINATAIRE NUMBER NOT NULL,
	TEM_COPIE CHAR NOT NULL
);

ALTER TABLE GRH_PECHE.MAIL_DESTINATAIRES ADD CONSTRAINT PK_DESTINATAIRES PRIMARY KEY(ID_MAIL, ID_DESTINATAIRE);
--ALTER TABLE GRH_PECHE.MAIL_DESTINATAIRES ADD CONSTRAINT FK_HD_ID_MAIL FOREIGN KEY (ID_MAILS) REFERENCES GRH_PECHE.MAILS (ID_MAIL);
ALTER TABLE GRH_PECHE.MAIL_DESTINATAIRES ADD CONSTRAINT FK_HD_ID_DESTINATAIRE FOREIGN KEY (ID_DESTINATAIRE) REFERENCES GRHUM.PERSONNE (PERS_ID);


COMMENT ON TABLE GRH_PECHE.MAIL_DESTINATAIRES IS 'Table contenant la liste des destinataire d''un mail'; 
COMMENT ON COLUMN GRH_PECHE.MAIL_DESTINATAIRES.ID_MAIL IS 'Référence au mail (GRH_PECHE.MAILS)';  
COMMENT ON COLUMN GRH_PECHE.MAIL_DESTINATAIRES.ID_DESTINATAIRE IS 'pers_id de l''expéditeur (GRHUM.PERSONNE (PERS_ID))';
COMMENT ON COLUMN GRH_PECHE.MAIL_DESTINATAIRES.TEM_COPIE IS 'O si le destinataire est en copie N si il est en destinataire';


-- Table MAILS -------------------------------------------


CREATE TABLE GRH_PECHE.MAILS
(
	ID_MAIL NUMBER NOT NULL,
	ID_EXPEDITEUR NUMBER NOT NULL,
	ID_MAIL_DESTINATAIRES NUMBER NOT NULL,
	SUJET VARCHAR(100),
	MESSAGE VARCHAR(2000),
	D_ENVOI DATE DEFAULT SYSDATE NOT NULL,
	PIECE_JOINTE BLOB
);

ALTER TABLE GRH_PECHE.MAILS ADD CONSTRAINT PK_MAILS PRIMARY KEY(ID_MAIL);


COMMENT ON TABLE GRH_PECHE.MAILS IS 'Archivage des mails'; 
COMMENT ON COLUMN GRH_PECHE.MAILS.ID_MAIL IS 'Clef primaire de la table MAILS';   
COMMENT ON COLUMN GRH_PECHE.MAILS.ID_EXPEDITEUR IS 'pers_id de l''expéditeur (GRHUM.PERSONNE (PERS_ID))';  
COMMENT ON COLUMN GRH_PECHE.MAILS.ID_MAIL_DESTINATAIRES IS 'Référence à la liste des destinatires (GRH_PECHE.MAIL_DESTINATAIRES)';  
COMMENT ON COLUMN GRH_PECHE.MAILS.SUJET IS 'Sujet du mail';  
COMMENT ON COLUMN GRH_PECHE.MAILS.MESSAGE IS 'Message du mail';  
COMMENT ON COLUMN GRH_PECHE.MAILS.D_ENVOI IS 'Date d''envoi du mail';  






WHENEVER SQLERROR EXIT SQL.SQLCODE;

